## ros-noetic-ros-ign-gazebo-demos 0.111.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_gazebo_demos)

find_package(catkin REQUIRED)

catkin_package()

install(
  DIRECTORY
    launch/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(
  DIRECTORY
    rviz/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

install(
  DIRECTORY
    models/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/models
)

=== debian/changelog ===
ros-noetic-ros-ign-gazebo-demos (0.111.2-1focal) focal; urgency=high

  * [noetic] 🏁 Dome EOL (#197 <https://github.com/osrf/ros_ign/issues/197>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 08:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.111.1-1focal) focal; urgency=high

  * [noetic] Update version docs, add Fortress (#166 <https://github.com/osrf/ros_ign/issues/166>)
  * [noetic] Edifice support (#139 <https://github.com/osrf/ros_ign/issues/139>)
  * Add dome + melodic to CI (#126 <https://github.com/osrf/ros_ign/issues/126>)
  * [noetic] Update releases (#106 <https://github.com/osrf/ros_ign/issues/106>)
  * Pointcloud bridge demo for depth camera (#39 <https://github.com/osrf/ros_ign/issues/39>)
  * Contributors: Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.111.0-1focal) focal; urgency=high

  * Noetic support (#93 <https://github.com/osrf/ros_ign/issues/93>)
    Co-authored-by: Jose Luis Rivero <mailto:jrivero@osrfoundation.org>
  * Choose collection based on environment variable (#72 <https://github.com/osrf/ros_ign/issues/72>)
    * Choose collection based on the environment variable IGNITION_VERSION
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.9.2-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.9.1-1focal) focal; urgency=high

  * Merge pull request #71 <https://github.com/osrf/ros_ign/issues/71> from ignitionrobotics/0_9_0gazebo2_fix
    Fix gazebo version in package.xml files
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.9.0-1focal) focal; urgency=high

  * Corrected error in launch (#66 <https://github.com/ignitionrobotics/ros_ign/issues/66>)
  * ros_ign_gazebo package, with launch and spawn (#60 <https://github.com/ignitionrobotics/ros_ign/issues/60>)
    * create ros_ign_gazebo package and move ign_gazebo exec and launch files there
    * Port create executable from create branch - ROS interface to spawn entities
    * use correct gflags key
    * PR feedback
  * [Citadel] Citadel support (#48 <https://github.com/ignitionrobotics/ros_ign/issues/48>)
    * Citadel support
    * more citadel deps
    * addressing feedback, fix typos and better find logic
    * fix CI
  * Correct demo frame names (#54 <https://github.com/ignitionrobotics/ros_ign/issues/54>)
  * Contributors: John, RDaneelOlivav, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.8.0-1focal) focal; urgency=high

  * Add replaces for each package (#46 <https://github.com/osrf/ros_ign/issues/46>)
  * Make all API and comments ROS-version agnostic
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Rename packages and fix compilation + tests
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Move files ros1 -> ros
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Louise Poubel, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 22 Nov 2019 08:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.7.0-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.6.3-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.6.2-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.6.1-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.6.0-1focal) focal; urgency=high

  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Revert "Pointcloud bridge demo for depth camera"
    This reverts commit 094cd40f21aed734d59c204172ad5afd7a26c8d6.
  * Pointcloud bridge demo for depth camera
  * Contributors: Louise Poubel, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.4.0-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Jul 2019 07:00:00 -0000

ros-noetic-ros-ign-gazebo-demos (0.3.1-1focal) focal; urgency=high

  * Merge pull request #24 <https://github.com/osrf/ros1_ign_bridge/issues/24> from osrf/fix_dep


=== debian/control ===
Source: ros-noetic-ros-ign-gazebo-demos
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-ros-ign-gazebo-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo3-dev, ros-noetic-image-transport-plugins, ros-noetic-ros-ign-bridge, ros-noetic-ros-ign-gazebo, ros-noetic-ros-ign-image, ros-noetic-rqt-image-view, ros-noetic-rqt-plot, ros-noetic-rviz
Replaces: ros-noetic-ros1-ign-gazebo-demos
Description: Demos using Ignition Gazebo simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ros-ign-gazebo-demos//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
